Summary:	HTTP Client lite - Cross-platform single-file header-only C++ library
Summary(pl.UTF-8):	HTTP Client lite - wieloplatformowa biblioteka C++ z wyłącznie jednego pliku nagłówkowego
Name:		http-client-lite
Version:	0
%define	gitref	7c3d4f720556715c1018e52faa8138836a144c24
%define	snap	20210715
%define	rel	1
Release:	0.%{snap}.%{rel}
License:	MIT
Group:		Libraries
Source0:	https://github.com/john-jasper-doe/http-client-lite/archive/%{gitref}/%{name}-%{snap}.tar.gz
# Source0-md5:	7c4e3a305eaaad22a30857a496225077
Patch0:		%{name}-cmake.patch
URL:		https://github.com/john-jasper-doe/http-client-lite
BuildRequires:	cmake >= 3.7
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	rpmbuild(macros) >= 1.605
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a lite, C++ cross-platform header-only client library for HTTP
request based on picohttpclient
(<https://github.com/csachs/picohttpclient>) project.

A Lightweight HTTP 1.1 client where to quickly do very simple HTTP
requests, without adding larger dependencies to a project.

%description -l pl.UTF-8
Lekka, składająca się wyłącznie z jednego pliku nagłówkowego
wieloplatformowa biblioteka C++ do wykonywnia żądań HTTP, oparta na
projekcie picohttpclient (<https://github.com/csachs/picohttpclient>).

Lekki klient HTTP 1.1 przydaje się, aby szybko wykonywać proste
żądania HTTP bez dodawania do projektu dużych zależności.

%package devel
Summary:	HTTP Client lite - Cross-platform single-file header-only C++ library
Summary(pl.UTF-8):	HTTP Client lite - wieloplatformowa biblioteka C++ z wyłącznie jednego pliku nagłówkowego
Group:		Development/Libraries
BuildRequires:	libstdc++-devel >= 6:4.7

%description devel
This is a lite, C++ cross-platform header-only client library for HTTP
request based on picohttpclient
(<https://github.com/csachs/picohttpclient>) project.

A Lightweight HTTP 1.1 client where to quickly do very simple HTTP
requests, without adding larger dependencies to a project.

%description devel -l pl.UTF-8
Lekka, składająca się wyłącznie z jednego pliku nagłówkowego
wieloplatformowa biblioteka C++ do wykonywnia żądań HTTP, oparta na
projekcie picohttpclient (<https://github.com/csachs/picohttpclient>).

Lekki klient HTTP 1.1 przydaje się, aby szybko wykonywać proste
żądania HTTP bez dodawania do projektu dużych zależności.

%prep
%setup -q -n %{name}-%{gitref}
%patch -P0 -p1

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# no install in cmake files
install -d $RPM_BUILD_ROOT%{_includedir}
cp -pr include/jdl $RPM_BUILD_ROOT%{_includedir}

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -pr examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc LICENSE README.md
%dir %{_includedir}/jdl
%{_includedir}/jdl/httpclientlite.h
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Jun 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/http-client-lite.git;a=log;h=master

* Wed Jun 18 2025 Jakub Bogusz <qboosh@pld-linux.org> 2334d96
- new

